#ifndef TEMPLATEBUTTON_H
#define TEMPLATEBUTTON_H

#include <QPushButton>
#include <memory>

using namespace std;

class TemplateButton : public QPushButton
{
    Q_OBJECT
public:
    TemplateButton(const QString& text, QWidget *parent = nullptr);
    ~TemplateButton();
    void updateButton();

signals:

private:
    void initStyle();

private:
    class Private;
    shared_ptr<Private> d_ptr;
};
#endif // TEMPLATEBUTTON_H
